Skip to main content
POST
/
v1
/
deals
Create a deal
curl --request POST \
  --url https://api.vendaze.com/v1/deals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Corp Annual Contract",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency_id": "BRL",
  "price_cts": 250000,
  "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "<string>",
  "forecast_date": "2023-12-25"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Acme Corp Annual Contract",
    "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "price_cts": 250000,
    "currency_id": "BRL",
    "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "referral",
    "forecast_date": "2026-12-31",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.1 access token.

Body

application/json
name
string
required
Example:

"Acme Corp Annual Contract"

pipeline_id
string<uuid>
required
stage_id
string<uuid>
required
currency_id
string
required
Example:

"BRL"

price_cts
integer
Required range: x >= 0
Example:

250000

owner_user_id
string<uuid>
source
string
forecast_date
string<date>

Response

Deal created successfully.

data
object